"""
DeBaCl is a Python library for estimation of density level set trees and
nonparametric density-based clustering. Level set trees are based on the
statistically-principled definition of clusters as modes of a probability
density function. They are particularly useful for analyzing structure in
complex datasets that exhibit multi-scale clustering behavior. DeBaCl is
intended to promote the practical use of level set trees through improvements
in computational efficiency, flexible algorithms, and an emphasis on
modularity and user customizability.
"""

from level_set_tree import construct_tree
from level_set_tree import construct_tree_from_graph
from level_set_tree import load_tree

from level_set_tree import LevelSetTree
